Bug 132167 - rhn-applet barfs on dir source
Summary: rhn-applet barfs on dir source
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rhn-applet   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Beth Nackashi
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC3Target FC4Target
TreeView+ depends on / blocked
 
Reported: 2004-09-09 15:09 UTC by Alexandre Oliva
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-01 03:47:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexandre Oliva 2004-09-09 15:09:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
As soon as I replaced a yum entry for rawhide with the following line
in /etc/sysconfig/rhn/sources:

dir fedora-core-rawhide-i386
/l/mirror/fedora/linux/core/development/i386/Fedora/RPMS

rhn-applet stopped reporting updates.  Its icon turned into a question
mark, and it opens a window with the following exception when I click
on it:

Exception type exceptions.KeyError

Exception Handler Information
Traceback (most recent call last):
  File "/usr/share/rhn/rhn_applet/rhn_applet.py", line 458, in refresh
    self.model.refresh(force)
  File "/usr/share/rhn/rhn_applet/rhn_applet_model.py", line 376, in
refresh
    if not self.fully_initialized():
  File "/usr/share/rhn/rhn_applet/rhn_applet_model.py", line 310, in
fully_initialized
    self.__build_sources()
  File "/usr/share/rhn/rhn_applet/rhn_applet_model.py", line 121, in
__build_sources
    rhn_utils.log_debug("Failed to initialize source %s for %s : %s
%s" % (
KeyError: 'url'


Version-Release number of selected component (if applicable):
rhn-applet-2.1.7-1.1

How reproducible:
Always

Steps to Reproduce:
1.x
2.
3.
    

Additional info:

Comment 1 Matthew Miller 2006-07-10 20:52:42 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Alexandre Oliva 2006-08-01 03:47:17 UTC
up2date is gone from rawhide, I no longer care about this.


Note You need to log in before you can comment on or make changes to this bug.